Bug 257031 - SCAN : rename folder outside of digikam, F5 and it's gone
Summary: SCAN : rename folder outside of digikam, F5 and it's gone
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 1.4.0
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-16 00:32 UTC by Alexandre Racine
Modified: 2016-05-31 11:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Racine 2010-11-16 00:32:46 UTC
Version:           1.4.0 (using KDE 4.5.1) 
OS:                Linux

While using digikam in the folder pannel, rename a folder outside of the digikam software, for example with another folder browser or Filezilla, go back in digikam, press F5 to refresh everything and that folder will be gone.

To get it back, you have to close digikam et open again.

Reproducible: Always

Steps to Reproduce:
While using digikam in the folder pannel, rename a folder outside of the digikam software, for example with another folder browser or Filezilla, go back in digikam, press F5 to refresh everything and that folder will be gone.

To get it back, you have to close digikam et open again.

Actual Results:  
See details

Expected Results:  
The folder should refresh (?)
Comment 1 caulier.gilles 2010-11-16 05:04:26 UTC
This task is delegeate to KDirWatch fro KDELibs and digiKam database interface

Gilles Caulier
Comment 2 Andi Clemens 2010-12-19 13:18:30 UTC
I can not confirm this, it is working perfectly fine. 
What I did to test this:

1. create a test folder in digiKam, copy some images in it
2. right-click on the album -> Open in File Manager
3. Rename folder in the file manager
   => digiKam updates the folder
4. Back in digiKam, press F5. 
   => everything is still fine.

Tested with digiKam 1.8.0-svn
Comment 3 Alexandre Racine 2010-12-19 20:17:29 UTC
I did it again with 1.6.0 and the bug still occur.
Comment 4 caulier.gilles 2011-12-15 09:30:53 UTC
Alexandre,

This file still valid using digiKam 2.x serie ?

Gilles Caulier
Comment 5 caulier.gilles 2014-08-07 07:32:13 UTC
We need a fresh feedback using last digiKam 4.2.0 release

Gilles Caulier
Comment 6 swatilodha27 2016-05-31 11:05:51 UTC
This is not reproducible for digikam5.0.0-beta6.

Steps to reproduce:
1. Create a new folder in digiKam & add some images.
2. Right-click on the album -> Open in File Manager
3. Renamed folder in File Manager.
4. Press F5 in digiKam.

Folder still exists and the name is changed.
Comment 7 caulier.gilles 2016-05-31 11:20:06 UTC
Not reproducible here too...

In fact we have dropped KDirWatch in favor of Qt5::QFileSystemWatcher to follow changes from media.

Gilles Caulier